/* CSS VARIABLES */
:root {
    /* These colors taken from http://clrs.cc/ */
    --fuchsia: #F012BE;
    --blue: #0074D9;
    --navy: #001f3f;
    --black: #111111;
    --green: #2ECC40;
    --yellow: #FFDC00;
    --gold: goldenrod;
    --red: #FF4136;
    --white: #FFFFFF;
}
/* GENERAL CSS */
body {
    background: url("../img/bg.jpg"); 
    background-size: 100%;
    display: flex;
}

.heading {
    margin-top: 0;
    margin-bottom: 0;
    padding: 1em;
    background-color: var(--gold);
    color: white;
    text-align: center;
    margin-left: 10px;
}

#screen {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
#gameBoard {
    position: relative;
    height: 600px;
    width: 900px;
}

#game-setttings {
    width: 350px;
}

.tile {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 1em;
    font-family: "Arial";
    font-size: 1.25em;
}
.btn {
    font-size: 1em;
    border: none;
    padding: 0.25em 0.5em .25em .5em;
    cursor: pointer;
    transition: background-color .1s;
}

.blue {
    background-color: var(--blue);
    color: var(--white);
}
.fuchsia {
    background-color: var(--fuchsia);
    color: var(--white);
}
.red {
    background-color: var(--red);
    color: var(--white);
}

/* GAME OPTIONS CSS */

.game-pane {
    padding: 1em;
    background-color: var(--navy);
    color: white;
    text-align: center;
}
.sub-option {
    font-size: .75em;
}


/* MAIN GAME GRID CSS */

#snakeGrid {
    position: absolute;
    top: 50px;
    left: 0;
    width: 100%;
    height: 600px;
    background: linear-gradient(rgb(170, 236, 170), rgb(236, 236, 167));
    border: 2px solid black;
    background-size: cover;
    z-index: 100;
}

div.snake {
    position: absolute;
    top: 0;
    left: 0;
    /* We'll be overriding the top and left. */
    height: 15px;
    width: 15px;
    z-index: 300;
    background-color: var(--fuchsia);
    /*border-radius: 50%;*/
}

div.food {
    position: absolute;
    top: 0;
    left: 0;
    background-color: var(--gold);
    height: 15px;
    width: 15px;
    border-radius: 50%;
    z-index: 200;
}